summaryrefslogtreecommitdiffstats
path: root/office/Ted
diff options
context:
space:
mode:
author GOSIKI Agiri <agiri@cocaine.ninja>2019-05-09 23:30:21 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2019-05-09 23:30:21 +0700
commit77ec388b73f578a8c41005997a55fb096532063d (patch)
tree53aafd5db6299794a8fa603f477ecb241aa98816 /office/Ted
parent2e9d44034b653e2f169042843790052f6d237687 (diff)
downloadslackbuilds-77ec388b73f578a8c41005997a55fb096532063d.tar.gz
slackbuilds-77ec388b73f578a8c41005997a55fb096532063d.tar.xz
office/Ted: Update script + new maintainer.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'office/Ted')
-rw-r--r--office/Ted/README8
-rw-r--r--office/Ted/Ted.SlackBuild15
-rw-r--r--office/Ted/Ted.info4
3 files changed, 20 insertions, 7 deletions
diff --git a/office/Ted/README b/office/Ted/README
index a7bbcdbbc2..da0d6ebebf 100644
--- a/office/Ted/README
+++ b/office/Ted/README
@@ -1,8 +1,12 @@
Ted is a lightweight Word-processor that uses the RTF-format. It supports
-multiple fonts and can print to PostScript printers. Ted is simple to use,
+multiple fonts and can print to PostScript printers. Ted is simple to use,
is easily compiled.
Additional packages with spellcheckers for different languages exist and
can be downloaded from the Ted homepage.
-Note: This application doesn't work with Windowmaker
+While Ted builds with the GTK+ widgets by default, you can build Ted
+with Motif widgets by passing WIDGET=motif variable to the script. This
+will also make Ted work under Window Maker but you might experience
+minor visual glitches in properties input boxes while inputting
+non-ASCII strings, e.g. in the author field.
diff --git a/office/Ted/Ted.SlackBuild b/office/Ted/Ted.SlackBuild
index ac32207a2b..b603e4ca54 100644
--- a/office/Ted/Ted.SlackBuild
+++ b/office/Ted/Ted.SlackBuild
@@ -1,8 +1,9 @@
#!/bin/sh
# Slackware build script for Ted
+# Copyright 2019 GOSIKI Agiri <agiri@cocaine.ninja>.
+# Previously written by Willy Sudiarto Raharjo <willysr@slackbuilds.org>.
# Originally written by Hannes Worst <hannesworst@gmail.com>.
-# Copyright 2014-2016 Willy Sudiarto Raharjo <willysr@slackbuilds.org>
# All right reserved
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +25,7 @@
PRGNAM=Ted
VERSION=${VERSION:-2.23}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
@@ -77,9 +78,17 @@ sed \
-e "/^M_ARCH/s|=.*|=$ARCH|" \
-i tedPackage/configure
+# select appropriate widget set
+WIDGET=${WIDGET:-gtk}
+case $WIDGET in
+ gtk) widgetopt=GTK;;
+ motif) widgetopt=MOTIF;;
+ *) echo "Wrong widget set selected, choose gtk or motif only!"; exit 1;;
+esac
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
-make -j1
+make -j1 CONFIGURE_OPTIONS="--with-$widgetopt"
make -j1 package
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
diff --git a/office/Ted/Ted.info b/office/Ted/Ted.info
index df3ecf27ad..988d36ed0c 100644
--- a/office/Ted/Ted.info
+++ b/office/Ted/Ted.info
@@ -6,5 +6,5 @@ MD5SUM="4199df0deb82a90450135ec3f2b7d915"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="libpaper"
-MAINTAINER="Willy Sudiarto Raharjo"
-EMAIL="willysr@slackbuilds.org"
+MAINTAINER="GOSIKI Agiri"
+EMAIL="agiri@cocaine.ninja"